JBoss API: Class MessageDrivenEnterpriseContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class MessageDrivenEnterpriseContext

    java.lang.Object
      |
      +--org.jboss.ejb.EnterpriseContext
            |
            +--org.jboss.ejb.MessageDrivenEnterpriseContext

public class MessageDrivenEnterpriseContext
extends EnterpriseContext

Context for message driven beans, based on Stateless. FIXME - not yet verified agains spec!!!

Version:
  $Revision: 1.3.6.7 $
Author:
  Peter Antman., Rickard Öberg, Sebastien Alborini

Inner Class Summary
`protected class` | `MessageDrivenEnterpriseContext.MessageDrivenContextImpl`

Inner classes inherited from class org.jboss.ejb.EnterpriseContext
`EnterpriseContext.EJBContextImpl, EnterpriseContext.UserTransactionImpl`

Fields inherited from class org.jboss.ejb.EnterpriseContext
`log`

Constructor Summary
`MessageDrivenEnterpriseContext(java.lang.Object instance, Container con)`

Method Summary
`void` | `discard()`
`javax.ejb.EJBContext` | `getEJBContext()` Get the EJBContext object
`javax.ejb.EJBObject` | `getEJBObject()`
`javax.ejb.MessageDrivenContext` | `getMessageDrivenContext()`
`javax.ejb.SessionContext` | `getSessionContext()`
`void` | `setEJBObject(javax.ejb.EJBObject eo)`

Methods inherited from class org.jboss.ejb.EnterpriseContext
`clear, getContainer, getId, getInstance, getTransaction, getTxLock, isLocked, lock, setId, setInstance, setPrincipal, setTransaction, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDrivenEnterpriseContext

    public MessageDrivenEnterpriseContext(java.lang.Object instance,
                                          Container con)
                                   throws java.lang.Exception

Method Detail

### setEJBObject

    public void setEJBObject(javax.ejb.EJBObject eo)

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

### getSessionContext

    public javax.ejb.SessionContext getSessionContext()

### getMessageDrivenContext

    public javax.ejb.MessageDrivenContext getMessageDrivenContext()

### discard

    public void discard()
                 throws java.rmi.RemoteException

  Overrides:
    `discard` in class `EnterpriseContext`

### getEJBContext

    public javax.ejb.EJBContext getEJBContext()

  Description copied from class: `EnterpriseContext`
  Get the EJBContext object
  Overrides:
    `getEJBContext` in class `EnterpriseContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.